<template>
  <div id="app">
    <div>
        <div class="column is-3 ">
            <div id="nav">
              <router-link to="/">Home</router-link> |
              <router-link to="/about">About</router-link> |
              <router-link to="/api">API</router-link> |
              <router-link to="/test">Test</router-link>
            </div>
        </div>
        <div class="container">
            <div class="columns">
              <router-view/>
            </div>
        </div>
    </div>    
  </div>
</template>

<style lang="scss">
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;

  a {
    font-weight: bold;
    color: #2c3e50;

    &.router-link-exact-active {
      color: #42b983;
    }
  }
}
</style>
